For the complete documentation index, see llms.txt.
Shipments
Print labels, batch labels, clone shipments, replace shipments, and work with shipment documents.
7 related endpoints
Endpoint
Endpoint URL
https://api.starshipit.com/api/orders/shipment/clone
Details
Clone a printed or shipped order
Clone Shipment Request
Clone Shipment Response
Request body
{
"order_id": 128327582,
"to_return_shipment": null
}Response examples
Clone Shipment (200)
{
"order": {
"order_id": 128429053,
"order_date": "2020-11-09T21:19:53.1975911",
"order_number": "1604956792",
"reference": "Online Order",
"carrier": "DHL",
"carrier_name": "DHL Express",
"carrier_service_code": "WPX",
"shipping_method": "Express Shipping",
"signature_required": true,
"dangerous_goods": false,
"currency": "NZD",
"sender_details": {
"name": "Aluth",
"email": "chinthaka.samarasinghe@starshipit.com",
"phone": "023343433",
"building": "Federal Building",
"company": "Startshipit",
"street": "23 Batman St",
"suburb": "West Melbourne",
"city": "Melbourne",
"state": "VIC",
"post_code": "3003",
"country": "Australia"
},
"destination": {
"name": "Sue Collier",
"email": "Evangeline14@yahoo.com",
"phone": "0290988227",
"building": "HBO Building",
"company": "Wolff - Wintheiser",
"street": "45 Remuera Road",
"suburb": "Remuera",
"city": "Auckland",
"state": "",
"post_code": "1050",
"country": "New Zealand",
"delivery_instructions": ""
},
"items": [
{
"item_id": 626375861,
"description": "Mobile Phone",
"sku": "MOBILE",
"country_of_origin": "New Zealand",
"quantity": 1,
"quantity_to_ship": 1,
"weight": 0.65,
"value": 125.0
},
{
"item_id": 626375862,
"description": "Mobile Case (Black)",
"sku": "MOBILE-CASE-BLK",
"country_of_origin": "New Zealand",
"quantity": 1,
"quantity_to_ship": 1,
"weight": 0.05,
"value": 20.0
}
],
"packages": [
{
"package_id": 145721064,
"name": "Package",
"weight": 0.7,
"height": 0.04,
"width": 0.08,
"length": 0.10,
"packaging_type": "",
"carrier_service_code": "WPX",
"tracking_number": "",
"tracking_url": "http://www.dhl.com/cgi-bin/tracking.pl?AWB=",
"delivery_status": "",
"shipment_type": "Outgoing",
"contents": "Shirt Blue L"
},
{
"package_id": 145721065,
"name": "Package",
"weight": 0.7,
"height": 0.04,
"width": 0.08,
"length": 0.10,
"packaging_type": "",
"carrier_service_code": "WPX",
"tracking_number": "",
"tracking_url": "http://www.dhl.com/cgi-bin/tracking.pl?AWB=",
"delivery_status": "",
"shipment_type": "Return",
"contents": "Shirt Blue L"
}
],
"metadatas": [
{
"metafield_key": "ADDRESSVALIDATED",
"value": "True"
},
{
"metafield_key": "SOURCE",
"value": "API"
},
{
"metafield_key": "DTP",
"value": "False"
},
{
"metafield_key": "INSURANCE",
"value": "False"
},
{
"metafield_key": "INSURANCEVALUE",
"value": "0.00"
},
{
"metafield_key": "SIGNATURE",
"value": "True"
},
{
"metafield_key": "ATL",
"value": "False"
},
{
"metafield_key": "BATTERY",
"value": "False"
},
{
"metafield_key": "SATURDAY",
"value": "False"
}
],
"events": [
{
"time": "2020-11-09T21:23:09.8847616",
"category": "General",
"method": "Order saved.",
"description": "Modified"
},
{
"time": "2020-11-09T21:23:09.9472611",
"category": "General",
"method": "Add Shipment",
"description": "This is a clone of the order 128427912."
}
],
"declared_value": 145.00,
"archived": false,
"manifest_number": 0,
"address_validation": "Valid",
"create_return": true,
"dtp": false,
"export_type": "",
"add_insurance": false,
"insurance_value": 0.00,
"plt": false,
"type": "Outgoing",
"platform": "API",
"status": "Saved",
"manifested": false
},
"success": true
}